import request from '/@/utils/request';

export function userApi() {
    return {
        // v1
        getUserList: (data: any) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/page/list`,
                method: 'post',
                data: data
            });
        },
        // v1
        addUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/add`,
                method: 'post',
                data: data
            });
        },
        // v1
        modUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/mod`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteUser: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/del`,
                method: 'post',
                data: data
            });
        },
        // v1
        getUserLByDepartment: (depId: number | null) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/dep/list?depId=${depId == null ? '' : depId}`,
                method: 'get'
            });
        },

        getAllUser: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/list`,
                method: 'get'
            });
        },

        // 获取图片上传路径
        getPresignUrl: (name: string) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/file/getPresignUrl`,
                method: 'post',
                data: { prefixName: name.split('.')[0], suffixName: name.split('.')[1] }
            });
        },

        // 根据uid获取用户证书
        getCtf: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/cert/list`,
                method: 'post',
                data: data
            });
        },

        addCtf: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/cert/add`,
                method: 'post',
                data: data
            });
        },

        // v1
        modCtf: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/cert/update`,
                method: 'post',
                data: data
            });
        },

        delCtf: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/cert/delete`,
                method: 'post',
                data: data
            });
        },
        pwdMod: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/auth/pwd-change`,
                method: 'post',
                data: data
            });
        },
        pwdModSelf: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/auth/pwd-change/self`,
                method: 'post',
                data: data
            });
        },
    };
}
